> For the complete documentation index, see [llms.txt](https://docs.payengine.co/developer-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.payengine.co/developer-docs/merchant-onboarding/onboarding-to-partner-relationships.md).

# Onboarding to Partner Relationships

Onboarding Merchants to Partner Processor/Gateway Relationships

1. If you would like to use the integration to onboard merchants to your own gateway/processor relationships, let your customer success representative know and they will enable this feature in your partner console.
2. Once enabled, you will be able to go into the Accounts section, select and add gateway/processor credentials.&#x20;
3. You would then use the [onboarding APIs or web components](https://docs.payengine.co/payengine-developer-docs/merchant-onboarding/introduction) to submit the application.
4. You would be able to utilize the [Merchant\_Status\_Changed](https://docs.payengine.co/payengine-developer-docs/merchant-onboarding/merchant-onboarding-apis) webhook to get updates on status of merchant application. When the status changes to active the webhook will post the following data.

```json
{
  event_uid: '43ab1219e4eab0809528a211c115f099',
  event: 'MERCHANT_STATUS_CHANGED',
  data: {
    id: 'c404d923-226f-4aae-92da-22c1ef370434',
    status: 'active',
    account_id: 'e90c1de6-4e87-4c9e-bcbc-c535d6e349ec',
    merchant_id: 'c404d923-226f-4aae-92da-22c1ef370434',
    credential_id: 'aba76907-2a1a-41cf-8501-5cd4ba1ff400'
  }
}
```

5. Upon activation of merchant you can utilize the API endpoint `/api/merchants/:id/credentials` to retrieve [merchant gateway credentials](https://docs.payengine.co/payengine-api-reference/onboarding/merchant-credentials).


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.payengine.co/developer-docs/merchant-onboarding/onboarding-to-partner-relationships.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
